Get Coin Transfers By Account
Query Template
Filtering Options
Parameter | Type | Description |
|---|---|---|
where | object | An object that filters results based on specific conditions. |
limit | integer | The maximum number of results to return. |
offset | integer | Specifies the starting position of the results. |
order_by | object | An object that specifies the criteria for sorting results. Multiple fields can be used as sorting criteria. |
Query Fields
Parameter | Type | Description |
|---|---|---|
amount | integer | The amount of the asset. |
asset_type | string | The asset type identifier. |
block_height | integer | The block height. |
owner_address | string | The address of the owner. |
entry_function_id_str | string | The entry function ID string. |
event_index | integer | The event index. |
gas_fee_payer_address | string | The address that paid the gas fee. |
is_frozen | boolean | Whether the asset is frozen. |
is_gas_fee | boolean | Whether it is a gas fee. |
is_transaction_success | boolean | Whether the transaction was successful. |
storage_id | string | The storage ID. |
storage_refund_amount | integer | The storage refund amount. |
token_standard | string | The token standard. |
transaction_timestamp | string | The timestamp of the transaction (ISO 8601 format). |
transaction_version | integer | The version of the transaction. |
type | string | The event type. |
Example
Request Example
query MyQuery {
fungible_asset_activities(
limit: 5
offset: 0
where: {
owner_address: {
_eq: "0x274c398a921b8e2ba345feac3039e1c8b196a7eb1395cdd3584af3a85eb9ec50"
}
}
order_by: { transaction_version: desc, event_index: desc }
) {
amount
asset_type
block_height
owner_address
entry_function_id_str
event_index
gas_fee_payer_address
is_frozen
is_gas_fee
is_transaction_success
storage_id
storage_refund_amount
token_standard
transaction_timestamp
transaction_version
type
}
}
Response Example
{
"data": {
"fungible_asset_activities": [
{
"amount": 18620000,
"asset_type": "0x1::aptos_coin::AptosCoin",
"block_height": 42022697,
"owner_address": "0x274c398a921b8e2ba345feac3039e1c8b196a7eb1395cdd3584af3a85eb9ec50",
"entry_function_id_str": "0x1::aptos_account::transfer",
"event_index": 1,
"gas_fee_payer_address": null,
"is_frozen": null,
"is_gas_fee": false,
"is_transaction_success": true,
"storage_id": "0x607571217df151528914b3622272e371dadc8094d3bf8c10e3949783f938f128",
"storage_refund_amount": 0,
"token_standard": "v1",
"transaction_timestamp": "2023-03-26T21:48:28",
"transaction_version": 108478684,
"type": "0x1::coin::WithdrawEvent"
},
{
"amount": 280418,
"asset_type": "0x1::aptos_coin::AptosCoin",
"block_height": 42022697,
"owner_address": "0x274c398a921b8e2ba345feac3039e1c8b196a7eb1395cdd3584af3a85eb9ec50",
"entry_function_id_str": "0x1::aptos_account::transfer",
"event_index": -1,
"gas_fee_payer_address": null,
"is_frozen": null,
"is_gas_fee": true,
"is_transaction_success": true,
"storage_id": "0x607571217df151528914b3622272e371dadc8094d3bf8c10e3949783f938f128",
"storage_refund_amount": 0,
"token_standard": "v1",
"transaction_timestamp": "2023-03-26T21:48:28",
"transaction_version": 108478684,
"type": "0x1::aptos_coin::GasFeeEvent"
},
{
"amount": 356557,
"asset_type": "0x1::aptos_coin::AptosCoin",
"block_height": 42022572,
"owner_address": "0x274c398a921b8e2ba345feac3039e1c8b196a7eb1395cdd3584af3a85eb9ec50",
"entry_function_id_str": "0x3::token_transfers::offer_script",
"event_index": -1,
"gas_fee_payer_address": null,
"is_frozen": null,
"is_gas_fee": true,
"is_transaction_success": true,
"storage_id": "0x607571217df151528914b3622272e371dadc8094d3bf8c10e3949783f938f128",
"storage_refund_amount": 0,
"token_standard": "v1",
"transaction_timestamp": "2023-03-26T21:47:45",
"transaction_version": 108478394,
"type": "0x1::aptos_coin::GasFeeEvent"
},
{
"amount": 30000000,
"asset_type": "0x1::aptos_coin::AptosCoin",
"block_height": 40823390,
"owner_address": "0x274c398a921b8e2ba345feac3039e1c8b196a7eb1395cdd3584af3a85eb9ec50",
"entry_function_id_str": "0x1::aptos_account::transfer",
"event_index": 0,
"gas_fee_payer_address": null,
"is_frozen": null,
"is_gas_fee": false,
"is_transaction_success": true,
"storage_id": "0x607571217df151528914b3622272e371dadc8094d3bf8c10e3949783f938f128",
"storage_refund_amount": 0,
"token_standard": "v1",
"transaction_timestamp": "2023-03-21T21:55:41",
"transaction_version": 105634644,
"type": "0x1::coin::WithdrawEvent"
},
{
"amount": 59590,
"asset_type": "0x1::aptos_coin::AptosCoin",
"block_height": 40823390,
"owner_address": "0x274c398a921b8e2ba345feac3039e1c8b196a7eb1395cdd3584af3a85eb9ec50",
"entry_function_id_str": "0x1::aptos_account::transfer",
"event_index": -1,
"gas_fee_payer_address": null,
"is_frozen": null,
"is_gas_fee": true,
"is_transaction_success": true,
"storage_id": "0x607571217df151528914b3622272e371dadc8094d3bf8c10e3949783f938f128",
"storage_refund_amount": 0,
"token_standard": "v1",
"transaction_timestamp": "2023-03-21T21:55:41",
"transaction_version": 105634644,
"type": "0x1::aptos_coin::GasFeeEvent"
}
]
}
}